## onnx 0.0.1

=== DESCRIPTION ===
Package: onnx
Type: Package
Title: R Interface to 'ONNX'
Version: 0.0.1
Authors@R: c(
  person("Yuan", "Tang", role = c("aut", "cre"), email = "terrytangyuan@gmail.com"),
  person("ONNX Authors", role = c("aut", "cph")),
  person("Facebook, Inc.", role = c("cph")),
  person("Microsoft Corporation", role = c("cph")))
Description: R Interface to 'ONNX' - Open Neural Network Exchange <https://onnx.ai/>. 
             'ONNX' provides an open source format for machine learning models. 
             It defines an extensible computation graph model, as well as definitions
             of built-in operators and standard data types.
License: MIT License + file LICENSE
URL: https://github.com/terrytangyuan/onnx-r
BugReports: https://github.com/terrytangyuan/onnx-r
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.1)
Imports: reticulate (>= 1.4)
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: no
Packaged: 2018-03-05 22:05:07 UTC; terrytangyuan
Author: Yuan Tang [aut, cre],
  ONNX Authors [aut, cph],
  Facebook, Inc. [cph],
  Microsoft Corporation [cph]
Maintainer: Yuan Tang <terrytangyuan@gmail.com>
Repository: CRAN
Date/Publication: 2018-03-06 18:57:01 UTC

## onnx 0.0.2

=== DESCRIPTION ===
Package: onnx
Type: Package
Title: R Interface to 'ONNX'
Version: 0.0.2
Authors@R: c(
  person("Yuan", "Tang", role = c("aut", "cre"), email = "terrytangyuan@gmail.com", comment = c(ORCID = "0000-0001-5243-233X")),
  person("ONNX Authors", role = c("aut", "cph")),
  person("Facebook, Inc.", role = c("cph")),
  person("Microsoft Corporation", role = c("cph")))
Description: R Interface to 'ONNX' - Open Neural Network Exchange <https://onnx.ai/>. 
             'ONNX' provides an open source format for machine learning models. 
             It defines an extensible computation graph model, as well as definitions
             of built-in operators and standard data types.
License: MIT License + file LICENSE
URL: https://github.com/onnx/onnx-r
BugReports: https://github.com/onnx/onnx-r/issues
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.1)
Imports: reticulate (>= 1.4)
RoxygenNote: 6.0.1
Suggests: testthat, knitr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2018-04-25 17:11:43 UTC; terrytangyuan
Author: Yuan Tang [aut, cre] (<https://orcid.org/0000-0001-5243-233X>),
  ONNX Authors [aut, cph],
  Facebook, Inc. [cph],
  Microsoft Corporation [cph]
Maintainer: Yuan Tang <terrytangyuan@gmail.com>
Repository: CRAN
Date/Publication: 2018-04-25 17:21:18 UTC

## onnx 0.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: onnx
 Type: Package
 Title: R Interface to 'ONNX'
-Version: 0.0.2
+Version: 0.0.3
 Authors@R: c(
   person("Yuan", "Tang", role = c("aut", "cre"), email = "terrytangyuan@gmail.com", comment = c(ORCID = "0000-0001-5243-233X")),
   person("ONNX Authors", role = c("aut", "cph")),
@@ -15,18 +15,17 @@
 URL: https://github.com/onnx/onnx-r
 BugReports: https://github.com/onnx/onnx-r/issues
 Encoding: UTF-8
-LazyData: true
 Depends: R (>= 3.1)
 Imports: reticulate (>= 1.4)
-RoxygenNote: 6.0.1
-Suggests: testthat, knitr
+RoxygenNote: 7.0.2
+Suggests: testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-04-25 17:11:43 UTC; terrytangyuan
+Packaged: 2021-04-16 18:33:35 UTC; yuan.tang
 Author: Yuan Tang [aut, cre] (<https://orcid.org/0000-0001-5243-233X>),
   ONNX Authors [aut, cph],
   Facebook, Inc. [cph],
   Microsoft Corporation [cph]
 Maintainer: Yuan Tang <terrytangyuan@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-04-25 17:21:18 UTC
+Date/Publication: 2021-04-16 18:50:02 UTC

## onnx 1.7.0%2Bdfsg

=== debian/control ===
Source: onnx
Section: science
Homepage: https://onnx.ai
Priority: optional
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/deeplearning-team/onnx.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/onnx
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               dh-exec,
               dh-python,
               libprotobuf-dev,
               protobuf-compiler,
               pybind11-dev,
               python3-all-dev,
               python3-protobuf <!nocheck>,
               python3-pybind11,
               python3-pytest <!nocheck>,
               python3-pytest-runner,
               python3-tabulate <!nocheck>
Rules-Requires-Root: no

Package: python3-onnx
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Open Neural Network Exchange (ONNX) (Python)
 Open Neural Network Exchange (ONNX) is the first step toward an open ecosystem
 that empowers AI developers to choose the right tools as their project evolves.
 ONNX provides an open source format for AI models.  It defines an extensible
 computation graph model, as well as definitions of built-in operators and
 standard data types. Initially onnx focuses on the capabilities needed for
 inferencing (evaluation).
 .
 Caffe2, PyTorch, Microsoft Cognitive Toolkit, Apache MXNet and other tools are
 developing ONNX support. Enabling interoperability between different frameworks
 and streamlining the path from research to production will increase the speed
 of innovation in the AI community.
 .
 This package contains the python interface.

Package: libonnx1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Open Neural Network Exchange (ONNX) (libs)
 Open Neural Network Exchange (ONNX) is the first step toward an open ecosystem
 that empowers AI developers to choose the right tools as their project evolves.
 ONNX provides an open source format for AI models.  It defines an extensible
 computation graph model, as well as definitions of built-in operators and
 standard data types. Initially onnx focuses on the capabilities needed for
 inferencing (evaluation).
 .
 Caffe2, PyTorch, Microsoft Cognitive Toolkit, Apache MXNet and other tools are
 developing ONNX support. Enabling interoperability between different frameworks
 and streamlining the path from research to production will increase the speed
 of innovation in the AI community.
 .
 This package contains the shared objects.

Package: libonnxifi
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Open Neural Network Exchange (ONNX) (ONNXIFI)
 Open Neural Network Exchange (ONNX) is the first step toward an open ecosystem
 that empowers AI developers to choose the right tools as their project evolves.
 ONNX provides an open source format for AI models.  It defines an extensible
 computation graph model, as well as definitions of built-in operators and
 standard data types. Initially onnx focuses on the capabilities needed for
 inferencing (evaluation).
 .
 Caffe2, PyTorch, Microsoft Cognitive Toolkit, Apache MXNet and other tools are
 developing ONNX support. Enabling interoperability between different frameworks
 and streamlining the path from research to production will increase the speed
 of innovation in the AI community.
 .
 This package contains the libonnxifi.so shared object.

Package: libonnx-dev
Architecture: any
Multi-Arch: same
Depends: libonnx1 (= ${binary:Version}),
         libonnxifi (= ${binary:Version}),
         ${misc:Depends}
Description: Open Neural Network Exchange (ONNX) (dev)
 Open Neural Network Exchange (ONNX) is the first step toward an open ecosystem
 that empowers AI developers to choose the right tools as their project evolves.
 ONNX provides an open source format for AI models.  It defines an extensible
 computation graph model, as well as definitions of built-in operators and
 standard data types. Initially onnx focuses on the capabilities needed for
 inferencing (evaluation).
 .
 Caffe2, PyTorch, Microsoft Cognitive Toolkit, Apache MXNet and other tools are
 developing ONNX support. Enabling interoperability between different frameworks
 and streamlining the path from research to production will increase the speed
 of innovation in the AI community.
 .
 This package contains the development files.

Package: libonnx-testdata
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Open Neural Network Exchange (ONNX) (test data)
 Open Neural Network Exchange (ONNX) is the first step toward an open ecosystem
 that empowers AI developers to choose the right tools as their project evolves.
 ONNX provides an open source format for AI models.  It defines an extensible
 computation graph model, as well as definitions of built-in operators and
 standard data types. Initially onnx focuses on the capabilities needed for
 inferencing (evaluation).
 .
 Caffe2, PyTorch, Microsoft Cognitive Toolkit, Apache MXNet and other tools are
 developing ONNX support. Enabling interoperability between different frameworks
 and streamlining the path from research to production will increase the speed
 of innovation in the AI community.
 .
 This package contains the test data.

## onnx 1.7.0+dfsg

=== CMakeLists.txt ===
# Minimum CMake required
cmake_minimum_required(VERSION 3.1)
include(cmake/Utils.cmake)
# Set default build type
if(NOT CMAKE_BUILD_TYPE)
  message(STATUS "Build type not set - defaulting to Release")
  set(
    CMAKE_BUILD_TYPE "Release"
    CACHE
      STRING
      "Choose the type of build from: Debug Release RelWithDebInfo MinSizeRel Coverage."
    FORCE)
endif()
cmake_policy(SET CMP0063 NEW)

# Project
project(onnx C CXX)
option(ONNX_BUILD_BENCHMARKS "Build ONNX micro-benchmarks" OFF)
option(ONNX_USE_PROTOBUF_SHARED_LIBS "Build ONNX using protobuf shared library. Sets PROTOBUF_USE_DLLS CMAKE Flag " OFF)

option(BUILD_ONNX_PYTHON "Build Python binaries" OFF)
option(ONNX_GEN_PB_TYPE_STUBS "Generate protobuf python type stubs" ON)
option(ONNX_WERROR "Build with Werror" OFF)
option(ONNX_COVERAGE "Build with coverage instrumentation" OFF)
option(ONNX_BUILD_TESTS "Build ONNX C++ APIs Tests" OFF)
option(ONNX_USE_LITE_PROTO "Use lite protobuf instead of full." OFF)
option(ONNXIFI_ENABLE_EXT "Enable onnxifi extensions." OFF)
if(NOT DEFINED ONNX_ML)
  if(DEFINED ENV{ONNX_ML})
    set(DEFAULT_ONNX_ML $ENV{ONNX_ML})
  else()
    set(DEFAULT_ONNX_ML ON)
  endif()
  option(ONNX_ML "Enable traditional ML API." ${DEFAULT_ONNX_ML})
endif()

option(ONNXIFI_DUMMY_BACKEND "Use dummy backend in onnxifi test driver." OFF)

if(NOT DEFINED ONNX_VERIFY_PROTO3)
  if(DEFINED ENV{ONNX_VERIFY_PROTO3})
    set(PROTO3_ENABLED $ENV{ONNX_VERIFY_PROTO3})
  else()
    set(PROTO3_ENABLED OFF)
  endif()
  option(ONNX_VERIFY_PROTO3 "Generate code by proto3" ${PROTO3_ENABLED})
endif()

 if (ONNX_USE_PROTOBUF_SHARED_LIBS)
  if(MSVC)
    #TODO: if ONNX_USE_MSVC_STATIC_RUNTIME is ON, it may not work  
    add_definitions(-DPROTOBUF_USE_DLLS)  
  endif()
endif()

# Set C++11 as standard for the whole project
if(NOT MSVC)
  set(CMAKE_CXX_STANDARD 11)
endif(NOT MSVC)

set(ONNX_ROOT ${PROJECT_SOURCE_DIR})

# Read ONNX version
file(READ "${PROJECT_SOURCE_DIR}/VERSION_NUMBER" ONNX_VERSION)
string(STRIP "${ONNX_VERSION}" ONNX_VERSION)

if(NOT MSVC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor")
  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0")
  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0")
  if(ONNX_COVERAGE)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
  endif()
endif()

if(NOT ONNX_NAMESPACE)
  set(ONNX_NAMESPACE "onnx")
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "AIX")
  set(CMAKE_NO_SYSTEM_FROM_IMPORTED 1)
endif()

if(ONNX_BUILD_TESTS)
  list(APPEND CMAKE_MODULE_PATH ${ONNX_ROOT}/cmake/external)
  include(googletest)
endif()

if((ONNX_USE_LITE_PROTO AND TARGET protobuf::libprotobuf-lite) OR ((NOT ONNX_USE_LITE_PROTO) AND TARGET protobuf::libprotobuf))
  # Sometimes we need to use protoc compiled for host architecture while linking
  # libprotobuf against target architecture. See https://github.com/caffe2/caffe
  # 2/blob/96f35ad75480b25c1a23d6e9e97bccae9f7a7f9c/cmake/ProtoBuf.cmake#L92-L99
  if(EXISTS "${ONNX_CUSTOM_PROTOC_EXECUTABLE}")
    message(STATUS "Using custom protoc executable")
    set(ONNX_PROTOC_EXECUTABLE ${ONNX_CUSTOM_PROTOC_EXECUTABLE})
  else()
    set(ONNX_PROTOC_EXECUTABLE $<TARGET_FILE:protobuf::protoc>)
  endif()
else()
  # Customized version of find Protobuf. We need to avoid situations mentioned
  # in https://github.com/caffe2/caffe2/blob/b7d983f255ef5496474f1ea188edb5e0ac4
  # 42761/cmake/ProtoBuf.cmake#L82-L92 The following section is stolen from
  # cmake/ProtoBuf.cmake in Caffe2
  find_program(Protobuf_PROTOC_EXECUTABLE
               NAMES protoc
               DOC "The Google Protocol Buffers Compiler")

  # Only if protoc was found, seed the include directories and libraries. We
  # assume that protoc is installed at PREFIX/bin. We use get_filename_component
  # to resolve PREFIX.
  if(Protobuf_PROTOC_EXECUTABLE)
    set(ONNX_PROTOC_EXECUTABLE ${Protobuf_PROTOC_EXECUTABLE})
    get_filename_component(_PROTOBUF_INSTALL_PREFIX
                           ${Protobuf_PROTOC_EXECUTABLE} DIRECTORY)
    get_filename_component(_PROTOBUF_INSTALL_PREFIX
                           ${_PROTOBUF_INSTALL_PREFIX}/.. REALPATH)
    find_library(Protobuf_PROTOC_LIBRARY
                 NAMES protoc
                 PATHS ${_PROTOBUF_INSTALL_PREFIX}/lib
                 NO_DEFAULT_PATH)
    if(ONNX_USE_LITE_PROTO)
      find_library(Protobuf_LITE_LIBRARY
        NAMES protobuf-lite
        PATHS ${_PROTOBUF_INSTALL_PREFIX}/lib
        NO_DEFAULT_PATH)
    else(ONNX_USE_LITE_PROTO)
      find_library(Protobuf_LIBRARY
        NAMES protobuf
        PATHS ${_PROTOBUF_INSTALL_PREFIX}/lib
        NO_DEFAULT_PATH)
    endif(ONNX_USE_LITE_PROTO)
    find_path(Protobuf_INCLUDE_DIR google/protobuf/service.h
              PATHS ${_PROTOBUF_INSTALL_PREFIX}/include
              NO_DEFAULT_PATH)
    find_package(Protobuf REQUIRED)
  endif()
endif()

# Build the libraries with -fPIC
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# function(RELATIVE_PROTOBUF_GENERATE_CPP SRCS HDRS ROOT_DIR) from https://githu
# b.com/tensorflow/tensorflow/blob/d2c3b873c6f8ff999a2e4ee707a84ff00d9c15a5/tens
# orflow/contrib/cmake/tf_core_framework.cmake to solve the problem that
# customized dir can't be specified when calling PROTOBUF_GENERATE_CPP.
function(RELATIVE_PROTOBUF_GENERATE_CPP NAME SRCS HDRS ROOT_DIR DEPEND)
  if(NOT ARGN)
    message(
      SEND_ERROR
        "Error: RELATIVE_PROTOBUF_GENERATE_CPP() called without any proto files"
      )
    return()
  endif()

  # Add ONNX_API prefix to protobuf classes and methods in all cases
  set(ONNX_DLLEXPORT_STR "dllexport_decl=ONNX_API:")

  set(${SRCS})
  set(${HDRS})

  set(GEN_PROTO_PY ${ROOT_DIR}/onnx/gen_proto.py)
  foreach(INFILE ${ARGN})
    set(ABS_FILE ${ROOT_DIR}/${INFILE})
    get_filename_component(FILE_DIR ${ABS_FILE} DIRECTORY)
    get_filename_component(FILE_WE ${INFILE} NAME_WE)
    if(ONNX_ML)
      if(ONNX_NAMESPACE STREQUAL "onnx")
        set(GENERATED_FILE_WE "${FILE_WE}-ml")
      else()
        set(GENERATED_FILE_WE "${FILE_WE}_${ONNX_NAMESPACE}-ml")
      endif()
    else()
      if(ONNX_NAMESPACE STREQUAL "onnx")
        set(GENERATED_FILE_WE "${FILE_WE}")
      else()
        set(GENERATED_FILE_WE "${FILE_WE}_${ONNX_NAMESPACE}")
      endif()
    endif()
    file(RELATIVE_PATH REL_DIR ${ROOT_DIR} ${FILE_DIR})
    set(OUTPUT_PROTO_DIR "${CMAKE_CURRENT_BINARY_DIR}/${REL_DIR}")

    set(OUTPUT_PB_HEADER "${OUTPUT_PROTO_DIR}/${GENERATED_FILE_WE}.pb.h")
    set(OUTPUT_PB_SRC "${OUTPUT_PROTO_DIR}/${GENERATED_FILE_WE}.pb.cc")
    set(GENERATED_PROTO "${OUTPUT_PROTO_DIR}/${GENERATED_FILE_WE}.proto")
    if(NOT (ONNX_NAMESPACE STREQUAL "onnx"))
      # We need this dummy header generated by gen_proto.py when ONNX_NAMESPACE
      # is not onnx
      list(APPEND ${HDRS} "${OUTPUT_PROTO_DIR}/${GENERATED_FILE_WE}.pb.h")
    endif()
    list(APPEND ${SRCS} "${OUTPUT_PB_SRC}")
    list(APPEND ${HDRS} "${OUTPUT_PB_HEADER}")

    if(NOT EXISTS "${OUTPUT_PROTO_DIR}")
      file(MAKE_DIRECTORY "${OUTPUT_PROTO_DIR}")
    endif()

    if("${PYTHON_EXECUTABLE}" STREQUAL "")
      set(_python_exe "python")
    else()
      set(_python_exe "${PYTHON_EXECUTABLE}")
    endif()
    set(GEN_PROTO_ARGS
        -p
        "${ONNX_NAMESPACE}"
        -o
        "${OUTPUT_PROTO_DIR}"
        "${FILE_WE}")
    if(ONNX_ML)
      list(APPEND GEN_PROTO_ARGS -m)
    endif()
    if(ONNX_USE_LITE_PROTO)
      list(APPEND GEN_PROTO_ARGS -l)
    endif()
    if(ONNX_VERIFY_PROTO3)
        if(NOT ONNX_PROTOC_EXECUTABLE)
          message(FATAL_ERROR "Protobuf compiler not found")
        endif()
        list(APPEND GEN_PROTO_ARGS --protoc_path)
        list(APPEND GEN_PROTO_ARGS "${ONNX_PROTOC_EXECUTABLE}")
    endif()

    add_custom_command(OUTPUT "${GENERATED_PROTO}"
                       COMMAND "${_python_exe}" "${GEN_PROTO_PY}"
                               ARGS ${GEN_PROTO_ARGS}
                       DEPENDS ${INFILE}
                       COMMENT "Running gen_proto.py on ${INFILE}"
                       VERBATIM)
    message("Generated: ${GENERATED_PROTO}")
    set(PROTOC_ARGS
        ${GENERATED_PROTO}
        -I
        ${CMAKE_CURRENT_BINARY_DIR}
        --cpp_out
        ${ONNX_DLLEXPORT_STR}${CMAKE_CURRENT_BINARY_DIR})
    if(BUILD_ONNX_PYTHON)
      list(APPEND PROTOC_ARGS --python_out
                  ${CMAKE_CURRENT_BINARY_DIR})
      if(ONNX_GEN_PB_TYPE_STUBS)
        # Haven't figured out how to generate mypy stubs on Windows yet
        if(NOT WIN32)
          # If onnx was packaged to pypi from Windows, protoc-gen-mypy.py is
          # missing the +x flag. Add it.
          execute_process(COMMAND chmod +x ${ROOT_DIR}/tools/protoc-gen-mypy.py)
          set(PROTOC_MYPY_PLUGIN_FILE ${ROOT_DIR}/tools/protoc-gen-mypy.py)
        else(NOT WIN32)
          set(PROTOC_MYPY_PLUGIN_FILE ${ROOT_DIR}/tools/protoc-gen-mypy.bat)
        endif()
        list(APPEND PROTOC_ARGS
                    --plugin
                    protoc-gen-mypy=${PROTOC_MYPY_PLUGIN_FILE}
                    --mypy_out
                    ${ONNX_DLLEXPORT_STR}${CMAKE_CURRENT_BINARY_DIR})
      endif()
    endif()
    if(NOT ONNX_PROTOC_EXECUTABLE)
      message(FATAL_ERROR "Protobuf compiler not found")
    endif()
    if(ONNX_PROTO_POST_BUILD_SCRIPT)
      add_custom_command(
        OUTPUT "${OUTPUT_PB_SRC}" "${OUTPUT_PB_HEADER}"
        COMMAND ${ONNX_PROTOC_EXECUTABLE} ARGS ${PROTOC_ARGS}
        COMMAND "${CMAKE_COMMAND}" -DFILENAME=${OUTPUT_PB_HEADER}
                -DNAMESPACES=${ONNX_NAMESPACE} -P
                ${ONNX_PROTO_POST_BUILD_SCRIPT}
        COMMAND "${CMAKE_COMMAND}" -DFILENAME=${OUTPUT_PB_SRC}
                -DNAMESPACES=${ONNX_NAMESPACE} -P
                ${ONNX_PROTO_POST_BUILD_SCRIPT}
        DEPENDS ${GENERATED_PROTO} ${DEPEND}
        COMMENT "Running C++ protocol buffer compiler on ${GENERATED_PROTO}"
        VERBATIM)
    else()
      add_custom_command(
        OUTPUT "${OUTPUT_PB_SRC}" "${OUTPUT_PB_HEADER}"
        COMMAND ${ONNX_PROTOC_EXECUTABLE} ARGS ${PROTOC_ARGS}
        DEPENDS ${GENERATED_PROTO} ${DEPEND}
        COMMENT "Running C++ protocol buffer compiler on ${GENERATED_PROTO}"
        VERBATIM)
    endif()
    add_custom_target(${NAME} DEPENDS ${OUTPUT_PB_SRC} ${OUTPUT_PB_HEADER})
  endforeach()

  set_source_files_properties(${${SRCS}} ${${HDRS}} PROPERTIES GENERATED TRUE)
  set(${SRCS} ${${SRCS}} PARENT_SCOPE)
  set(${HDRS} ${${HDRS}} PARENT_SCOPE)
endfunction()

relative_protobuf_generate_cpp(gen_onnx_proto
                               __tmp_srcs
                               __tmp_hdrs
                               ${ONNX_ROOT}
                               ""
                               onnx/onnx.in.proto)
list(APPEND ONNX_PROTO_SRCS ${__tmp_srcs})
list(APPEND ONNX_PROTO_HDRS ${__tmp_hdrs})

relative_protobuf_generate_cpp(gen_onnx_operators_proto
                               __tmp_srcs
                               __tmp_hdrs
                               ${ONNX_ROOT}
                               gen_onnx_proto
                               onnx/onnx-operators.in.proto)
list(APPEND ONNX_PROTO_SRCS ${__tmp_srcs})
list(APPEND ONNX_PROTO_HDRS ${__tmp_hdrs})

file(GLOB_RECURSE __tmp_srcs "${ONNX_ROOT}/onnx/*.h" "${ONNX_ROOT}/onnx/*.cc")
file(GLOB_RECURSE onnx_gtests_src "${ONNX_ROOT}/onnx/test/cpp/*.h"
    "${ONNX_ROOT}/onnx/test/cpp/*.cc"
    "${ONNX_ROOT}/onnx/backend/test/cpp/*.cc"
    "${ONNX_ROOT}/onnx/backend/test/cpp/*.h")
list(REMOVE_ITEM __tmp_srcs "${ONNX_ROOT}/onnx/cpp2py_export.cc")
list(REMOVE_ITEM __tmp_srcs ${onnx_gtests_src})
list(APPEND ONNX_SRCS ${__tmp_srcs})

add_library(onnx_proto ${ONNX_PROTO_SRCS} ${ONNX_PROTO_HDRS})
target_include_directories(onnx_proto PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
  $<INSTALL_INTERFACE:include>
  $<BUILD_INTERFACE:${PROTOBUF_INCLUDE_DIRS}>)

if (MSVC)
  if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set(EXTRA_FLAGS

=== debian/changelog ===
onnx (1.7.0+dfsg-3) unstable; urgency=medium

  * Update patch headers and lintian overrides.
  * d/*.install: don't require dh-exec for those do not use any feature.

 -- Mo Zhou <lumin@debian.org>  Tue, 26 Jan 2021 13:35:24 +0800

onnx (1.7.0+dfsg-2) unstable; urgency=medium

  [ Christian Kastner ]
  * Demangle symbols file

  [ Mo Zhou ]
  * d/rules: Fix FTBFS bug with multiple python3. (Closes: #972014)
  * Stop tracking the C++ symbols. (Closes: #971204)
  * Amend test data handling when there are multiple versions of python3.
  * Update maintainer mail address to debian-ai@l.d.o.

 -- Mo Zhou <lumin@debian.org>  Sat, 17 Oct 2020 13:22:23 +0800

onnx (1.7.0+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * modernize watch file

  [ Mo Zhou ]
  * New upstream version 1.7.0+dfsg (Closes: #963245)
  * Remove the merged 2482.patch and refresh soversion.patch.
  * Update installation paths following upstream cmake changes.
  * Refresh symbols control file.

 -- Mo Zhou <lumin@debian.org>  Sat, 25 Jul 2020 14:30:31 +0800

onnx (1.6.0+dfsg-3) unstable; urgency=medium

  * Make the symbols tracking file amd64-only.

 -- Mo Zhou <lumin@debian.org>  Wed, 29 Apr 2020 21:30:37 +0800

onnx (1.6.0+dfsg-2) unstable; urgency=medium

  * Apply wrap-and-sort.
  * Add symbols control file.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Wed, 29 Apr 2020 09:10:28 +0800

onnx (1.6.0+dfsg-1) experimental; urgency=medium

  * Initial release. (Closes: #915011)

 -- Mo Zhou <lumin@debian.org>  Tue, 28 Apr 2020 12:08:04 +0800

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/deeplearning-team/onnx.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/onnx
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
+Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),

=== debian/tests/control ===
Test-Command: pytest-3 -v -k 'not OnnxBackendRealModelTest and not examples'
Depends: python3-pytest, @

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,dversionmangle=auto,repacksuffix=+dfsg" \
   https://github.com/onnx/onnx/releases .*/v?@ANY_VERSION@\.tar\.gz

## onnx 1.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Project
 project(onnx C CXX)
 option(ONNX_BUILD_BENCHMARKS "Build ONNX micro-benchmarks" OFF)
-option(ONNX_USE_PROTOBUF_SHARED_LIBS "Build ONNX using protobuf shared library. Sets PROTOBUF_USE_DLLS CMAKE Flag " OFF)
+option(ONNX_USE_PROTOBUF_SHARED_LIBS "Build ONNX using protobuf shared library. Sets PROTOBUF_USE_DLLS CMAKE Flag and Protobuf_USE_STATIC_LIBS. " OFF)
 
 option(BUILD_ONNX_PYTHON "Build Python binaries" OFF)
 option(ONNX_GEN_PB_TYPE_STUBS "Generate protobuf python type stubs" ON)
@@ -25,6 +25,9 @@
 option(ONNX_BUILD_TESTS "Build ONNX C++ APIs Tests" OFF)
 option(ONNX_USE_LITE_PROTO "Use lite protobuf instead of full." OFF)
 option(ONNXIFI_ENABLE_EXT "Enable onnxifi extensions." OFF)
+option(ONNX_DISABLE_EXCEPTIONS "Disable exception handling." OFF)
+option(ONNX_DISABLE_STATIC_REGISTRATION "Disable static registration for onnx operator schemas." OFF)
+
 if(NOT DEFINED ONNX_ML)
   if(DEFINED ENV{ONNX_ML})
     set(DEFAULT_ONNX_ML $ENV{ONNX_ML})
@@ -45,11 +48,14 @@
   option(ONNX_VERIFY_PROTO3 "Generate code by proto3" ${PROTO3_ENABLED})
 endif()
 
- if (ONNX_USE_PROTOBUF_SHARED_LIBS)
+if(ONNX_USE_PROTOBUF_SHARED_LIBS)
   if(MSVC)
-    #TODO: if ONNX_USE_MSVC_STATIC_RUNTIME is ON, it may not work  
-    add_definitions(-DPROTOBUF_USE_DLLS)  
-  endif()
+    #TODO: if ONNX_USE_MSVC_STATIC_RUNTIME is ON, it may not work
+    add_definitions(-DPROTOBUF_USE_DLLS)
+  endif()
+  set(Protobuf_USE_STATIC_LIBS OFF)
+else()
+  set(Protobuf_USE_STATIC_LIBS ON)
 endif()
 
 # Set C++11 as standard for the whole project
@@ -76,6 +82,40 @@
 if(NOT ONNX_NAMESPACE)
   set(ONNX_NAMESPACE "onnx")
 endif()
+
+if(MSVC)
+  if(NOT ONNX_DISABLE_EXCEPTIONS)
+    string(APPEND CMAKE_CXX_FLAGS " /EHsc /wd26812")
+    string(APPEND CMAKE_C_FLAGS " /EHsc /wd26812")
+  endif()
+endif()
+
+if(ONNX_DISABLE_EXCEPTIONS)
+  add_compile_definitions("ONNX_NO_EXCEPTIONS")
+  # Disable C++ exceptions.
+  if(MSVC)
+    string(REGEX REPLACE "/EHsc" "/EHs-c-" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
+    add_definitions(-D_HAS_EXCEPTIONS=0)
+  else()
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-exceptions -fno-unwind-tables -fno-asynchronous-unwind-tables")
+  endif()
+endif()
+
+if(ONNX_WERROR)
+  if(MSVC)
+    string(APPEND CMAKE_CXX_FLAGS " /WX")
+    string(APPEND CMAKE_C_FLAGS " /WX")
+  else()
+    string(APPEND CMAKE_CXX_FLAGS " -Werror")
+    string(APPEND CMAKE_C_FLAGS " -Werror -Wno-error=incompatible-pointer-types")
+  endif()
+endif()
+
+# find_package Python has replaced PythonInterp and PythonLibs since cmake 3.12
+# Use the following command in the future; now this is only compatible with the latest pybind11
+# find_package(Python ${PY_VERSION} COMPONENTS Interpreter Development REQUIRED)
+find_package(PythonInterp ${PY_VERSION} REQUIRED)
+find_package(PythonLibs ${PY_VERSION})
 
 if(CMAKE_SYSTEM_NAME STREQUAL "AIX")
   set(CMAKE_NO_SYSTEM_FROM_IMPORTED 1)
@@ -123,7 +163,7 @@
         NAMES protobuf-lite
         PATHS ${_PROTOBUF_INSTALL_PREFIX}/lib
         NO_DEFAULT_PATH)
-    else(ONNX_USE_LITE_PROTO)
+    else()
       find_library(Protobuf_LIBRARY
         NAMES protobuf
         PATHS ${_PROTOBUF_INSTALL_PREFIX}/lib
@@ -163,7 +203,8 @@
     set(ABS_FILE ${ROOT_DIR}/${INFILE})
     get_filename_component(FILE_DIR ${ABS_FILE} DIRECTORY)
     get_filename_component(FILE_WE ${INFILE} NAME_WE)
-    if(ONNX_ML)
+    # "onnx-data" check is because we do not want to create/compile an "onnx-data-ml.proto" file
+    if(ONNX_ML AND NOT(FILE_WE STREQUAL "onnx-data"))
       if(ONNX_NAMESPACE STREQUAL "onnx")
         set(GENERATED_FILE_WE "${FILE_WE}-ml")
       else()
@@ -194,11 +235,6 @@
       file(MAKE_DIRECTORY "${OUTPUT_PROTO_DIR}")
     endif()
 
-    if("${PYTHON_EXECUTABLE}" STREQUAL "")
-      set(_python_exe "python")
-    else()
-      set(_python_exe "${PYTHON_EXECUTABLE}")
-    endif()
     set(GEN_PROTO_ARGS
         -p
         "${ONNX_NAMESPACE}"
@@ -220,7 +256,7 @@
     endif()
 
     add_custom_command(OUTPUT "${GENERATED_PROTO}"
-                       COMMAND "${_python_exe}" "${GEN_PROTO_PY}"
+                       COMMAND "${PYTHON_EXECUTABLE}" "${GEN_PROTO_PY}"
                                ARGS ${GEN_PROTO_ARGS}
                        DEPENDS ${INFILE}
                        COMMENT "Running gen_proto.py on ${INFILE}"
@@ -238,11 +274,18 @@
       if(ONNX_GEN_PB_TYPE_STUBS)
         # Haven't figured out how to generate mypy stubs on Windows yet
         if(NOT WIN32)
-          # If onnx was packaged to pypi from Windows, protoc-gen-mypy.py is
-          # missing the +x flag. Add it.
-          execute_process(COMMAND chmod +x ${ROOT_DIR}/tools/protoc-gen-mypy.py)
-          set(PROTOC_MYPY_PLUGIN_FILE ${ROOT_DIR}/tools/protoc-gen-mypy.py)
-        else(NOT WIN32)
+          # use PYTHON_EXECUTABLE to python protoc-gen-mypy.py
+          configure_file(
+            ${ROOT_DIR}/tools/protoc-gen-mypy.sh.in
+            ${PROJECT_BINARY_DIR}/tools/protoc-gen-mypy.sh
+            @ONLY)
+          execute_process(COMMAND chmod +x ${PROJECT_BINARY_DIR}/tools/protoc-gen-mypy.sh)
+          configure_file(
+            ${ROOT_DIR}/tools/protoc-gen-mypy.py
+            ${PROJECT_BINARY_DIR}/tools/protoc-gen-mypy.py
+            COPYONLY)
+          set(PROTOC_MYPY_PLUGIN_FILE ${PROJECT_BINARY_DIR}/tools/protoc-gen-mypy.sh)
+        else()
           set(PROTOC_MYPY_PLUGIN_FILE ${ROOT_DIR}/tools/protoc-gen-mypy.bat)
         endif()
         list(APPEND PROTOC_ARGS
@@ -277,46 +320,3 @@
         VERBATIM)
     endif()
     add_custom_target(${NAME} DEPENDS ${OUTPUT_PB_SRC} ${OUTPUT_PB_HEADER})
-  endforeach()
-
-  set_source_files_properties(${${SRCS}} ${${HDRS}} PROPERTIES GENERATED TRUE)
-  set(${SRCS} ${${SRCS}} PARENT_SCOPE)
-  set(${HDRS} ${${HDRS}} PARENT_SCOPE)
-endfunction()
-
-relative_protobuf_generate_cpp(gen_onnx_proto
-                               __tmp_srcs
-                               __tmp_hdrs
-                               ${ONNX_ROOT}
-                               ""
-                               onnx/onnx.in.proto)
-list(APPEND ONNX_PROTO_SRCS ${__tmp_srcs})
-list(APPEND ONNX_PROTO_HDRS ${__tmp_hdrs})
-
-relative_protobuf_generate_cpp(gen_onnx_operators_proto
-                               __tmp_srcs
-                               __tmp_hdrs
-                               ${ONNX_ROOT}
-                               gen_onnx_proto
-                               onnx/onnx-operators.in.proto)
-list(APPEND ONNX_PROTO_SRCS ${__tmp_srcs})
-list(APPEND ONNX_PROTO_HDRS ${__tmp_hdrs})
-
-file(GLOB_RECURSE __tmp_srcs "${ONNX_ROOT}/onnx/*.h" "${ONNX_ROOT}/onnx/*.cc")
-file(GLOB_RECURSE onnx_gtests_src "${ONNX_ROOT}/onnx/test/cpp/*.h"
-    "${ONNX_ROOT}/onnx/test/cpp/*.cc"
-    "${ONNX_ROOT}/onnx/backend/test/cpp/*.cc"
-    "${ONNX_ROOT}/onnx/backend/test/cpp/*.h")
-list(REMOVE_ITEM __tmp_srcs "${ONNX_ROOT}/onnx/cpp2py_export.cc")
-list(REMOVE_ITEM __tmp_srcs ${onnx_gtests_src})
-list(APPEND ONNX_SRCS ${__tmp_srcs})
-
-add_library(onnx_proto ${ONNX_PROTO_SRCS} ${ONNX_PROTO_HDRS})
-target_include_directories(onnx_proto PUBLIC
-  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
-  $<INSTALL_INTERFACE:include>
-  $<BUILD_INTERFACE:${PROTOBUF_INCLUDE_DIRS}>)
-
-if (MSVC)
-  if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
-    set(EXTRA_FLAGS

=== debian/changelog ===
onnx (1.12.0-2) unstable; urgency=medium

  [ Mo Zhou ]
  * dch: ack previous nmu

  [ Francis Murtagh ]
  * Add missing onnx.proto file to -dev package

 -- Mo Zhou <lumin@debian.org>  Thu, 07 Jul 2022 21:58:27 -0700

onnx (1.12.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 25 Jun 2022 20:07:32 -0700

onnx (1.12.0-1~exp1) experimental; urgency=medium

  * New upstream version 1.12.0
  * Rebase existing patches.
  * Add the missing test dependency python3-numpy.
  * Refresh existing patches.
  * Overhaul d/rules to fixup builds.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Thu, 23 Jun 2022 21:33:16 -0700

onnx (1.7.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Python 3.10 support. (Closes: #1004952)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 26 Mar 2022 17:25:56 -0400

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,15 @@
                libprotobuf-dev,
                protobuf-compiler,
                pybind11-dev,
+               python3-pybind11,
+               python3-all,
                python3-all-dev,
                python3-protobuf <!nocheck>,
                python3-pybind11,
                python3-pytest <!nocheck>,
                python3-pytest-runner,
-               python3-tabulate <!nocheck>
+               python3-tabulate <!nocheck>,
+               python3-numpy <!nocheck>,
 Rules-Requires-Root: no
 
 Package: python3-onnx

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CMAKE_ARGS              = -DONNX_USE_PROTOBUF_SHARED_LIBS=ON \
                                 -DBUILD_SHARED_LIBS=ON \
                                 -DONNX_BUILD_TESTS=OFF \
                                 -DCMAKE_BUILD_TYPE=Release

%:
	dh $@ -Spybuild --with python3

execute_before_dh_auto_configure:
	find . -type f -name '*.py' -exec \
        sed -i -e 's@#!/usr/bin/env python@#!/usr/bin/python3@' '{}' +
	dh_auto_configure -Scmake -- \
        -DBUILD_SHARED_LIBS=ON \
        -DONNX_USE_PROTOBUF_SHARED_LIBS=ON \
        -DONNX_BUILD_TESTS=OFF \
        -DBUILD_ONNX_PYTHON=ON \
        -Dprotobuf_BUILD_SHARED_LIBS=OFF \
        -DCMAKE_POSITION_INDEPENDENT_CODE=ON \
        -Dprotobuf_BUILD_TESTS=OFF \
        -DCMAKE_BUILD_TYPE=Release
	dh_auto_configure

override_dh_auto_build:
	: # so things won't be built again while installing

override_dh_auto_test:
	:

override_dh_auto_install:
	dh_auto_install -Scmake
	dh_auto_install -Spybuild
	# Remove duplicatd test data from include directory
	-$(RM) -rf debian/tmp/usr/include/onnx/backend/test/data
	# Use the test data installed in python package as the main copy
	mkdir -v -p debian/libonnx-testdata/usr/share/libonnx-testdata/
	mv debian/tmp/usr/lib/$(shell py3versions -d)/dist-packages/onnx/backend/test/data \
	   debian/libonnx-testdata/usr/share/libonnx-testdata/
	-$(RM) -rf debian/tmp/usr/lib/python3*/dist-packages/onnx/backend/test/data
	# install the python package
	mkdir -p debian/python3-onnx/usr/lib/python3
	for py3 in $(shell py3versions -s); do \
		cp -av debian/tmp/usr/lib/$${py3}/dist-packages debian/python3-onnx/usr/lib/python3/; \
		rm -rf debian/tmp/usr/lib/$${py3}/dist-packages; done

override_dh_missing:
	dh_missing --fail-missing

## onnx 1.13.1

=== requirements.txt ===
numpy >= 1.16.6 # TODO: update once TensorFlow 2.6 is end of life
protobuf >= 3.20.2, < 4
typing-extensions >= 3.6.2.1

=== docs/docsgen/source/requirements.txt ===
markupsafe
matplotlib
myst-parser
onnx
onnxruntime
pillow
pydata_sphinx_theme
pydot
sphinx
sphinx-exec-code
sphinx-gallery
sphinx-tabs

=== debian/changelog ===
onnx (1.13.1-3) unstable; urgency=medium

  * Autopkgtest: use arch instead of dpkg-architecture.

 -- Mo Zhou <lumin@debian.org>  Sun, 10 Sep 2023 19:31:05 -0400

onnx (1.13.1-2) unstable; urgency=medium

  * rules: Make rules less confusing.
  * rules: Toggle verbose makefile.
  * Autopkgtest: omit numerical precision issue on non-amd64 archs.
    (Closes: #1011033, #1051585)
  * Update dh_auto_clean to fix twice in a row FTBS. (Closes: #1048619)

 -- Mo Zhou <lumin@debian.org>  Sun, 10 Sep 2023 11:24:11 -0400

onnx (1.13.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libonnxifi: Drop Multi-Arch: same.

  [ Mo Zhou ]
  * New upstream version 1.13.1
  * watch: Track the github tags page instead.
  * Rebase existing patches.
  * ONNXIFI is removed by upstream.
  * No longer build static library.
  * Add patch to disable RPATH for shlibs.
  * Update lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Sun, 20 Aug 2023 00:23:57 -0400

=== debian/tests/control ===
Test-Command: test $(arch) = 'x86_64' && (pytest-3 -v -k 'not OnnxBackendRealModelTest and not examples') || (pytest-3 -v -k 'not OnnxBackendRealModelTest and not examples' || true)
Depends: python3-pytest, @

## onnx 1.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,6 @@
 option(ONNX_COVERAGE "Build with coverage instrumentation" OFF)
 option(ONNX_BUILD_TESTS "Build ONNX C++ APIs Tests" OFF)
 option(ONNX_USE_LITE_PROTO "Use lite protobuf instead of full." OFF)
-option(ONNXIFI_ENABLE_EXT "Enable onnxifi extensions." OFF)
 option(ONNX_DISABLE_EXCEPTIONS "Disable exception handling." OFF)
 option(ONNX_DISABLE_STATIC_REGISTRATION "Disable static registration for onnx operator schemas." OFF)
 
@@ -36,8 +35,6 @@
   endif()
   option(ONNX_ML "Enable traditional ML API." ${DEFAULT_ONNX_ML})
 endif()
-
-option(ONNXIFI_DUMMY_BACKEND "Use dummy backend in onnxifi test driver." OFF)
 
 if(NOT DEFINED ONNX_VERIFY_PROTO3)
   if(DEFINED ENV{ONNX_VERIFY_PROTO3})
@@ -58,10 +55,15 @@
   set(Protobuf_USE_STATIC_LIBS ON)
 endif()
 
-# Set C++11 as standard for the whole project
+# Required to use /std:c++17 or higher on Windows
+# For other platforms, set C++11 as standard for the whole project
 if(NOT MSVC)
   set(CMAKE_CXX_STANDARD 11)
-endif(NOT MSVC)
+else()
+  string(APPEND CMAKE_CXX_FLAGS " /std:c++17")
+endif()
+
+include(GNUInstallDirs)
 
 set(ONNX_ROOT ${PROJECT_SOURCE_DIR})
 
@@ -115,7 +117,9 @@
 # Use the following command in the future; now this is only compatible with the latest pybind11
 # find_package(Python ${PY_VERSION} COMPONENTS Interpreter Development REQUIRED)
 find_package(PythonInterp ${PY_VERSION} REQUIRED)
-find_package(PythonLibs ${PY_VERSION})
+if(BUILD_ONNX_PYTHON)
+  find_package(PythonLibs ${PY_VERSION})
+endif()
 
 if(CMAKE_SYSTEM_NAME STREQUAL "AIX")
   set(CMAKE_NO_SYSTEM_FROM_IMPORTED 1)
@@ -156,17 +160,17 @@
                            ${_PROTOBUF_INSTALL_PREFIX}/.. REALPATH)
     find_library(Protobuf_PROTOC_LIBRARY
                  NAMES protoc
-                 PATHS ${_PROTOBUF_INSTALL_PREFIX}/lib
+                 PATHS ${_PROTOBUF_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}
                  NO_DEFAULT_PATH)
     if(ONNX_USE_LITE_PROTO)
       find_library(Protobuf_LITE_LIBRARY
         NAMES protobuf-lite
-        PATHS ${_PROTOBUF_INSTALL_PREFIX}/lib
+        PATHS ${_PROTOBUF_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}
         NO_DEFAULT_PATH)
     else()
       find_library(Protobuf_LIBRARY
         NAMES protobuf
-        PATHS ${_PROTOBUF_INSTALL_PREFIX}/lib
+        PATHS ${_PROTOBUF_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}
         NO_DEFAULT_PATH)
     endif(ONNX_USE_LITE_PROTO)
     find_path(Protobuf_INCLUDE_DIR google/protobuf/service.h
@@ -317,6 +321,3 @@
         COMMAND ${ONNX_PROTOC_EXECUTABLE} ARGS ${PROTOC_ARGS}
         DEPENDS ${GENERATED_PROTO} ${DEPEND}
         COMMENT "Running C++ protocol buffer compiler on ${GENERATED_PROTO}"
-        VERBATIM)
-    endif()
-    add_custom_target(${NAME} DEPENDS ${OUTPUT_PB_SRC} ${OUTPUT_PB_HEADER})

=== requirements.txt ===
numpy
protobuf >= 3.20.2
typing-extensions >= 3.6.2.1

=== docs/docsgen/source/requirements.txt ===

furo
markupsafe
matplotlib
myst-parser
onnx
onnxruntime
pillow
pydot
sphinx-copybutton
sphinx-exec-code
sphinx-gallery
sphinx-tabs
sphinx

=== debian/changelog ===
onnx (1.14.1-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:38:46 +0000

onnx (1.14.1-2.1build1) noble; urgency=high

  * No change rebuild against libprotobuf32t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:46:59 +0100

onnx (1.14.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062824

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 02:26:46 +0000

onnx (1.14.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 31 Dec 2023 20:01:26 -0500

onnx (1.14.1-1) experimental; urgency=medium

  * New upstream version 1.14.1
    Please pin to this version for PyTorch/v2.1.X release.
  * Rebase existing patches.
  * Autopkgtest: add missing test dependencies.

 -- Mo Zhou <lumin@debian.org>  Fri, 29 Dec 2023 22:21:04 -0500

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/deeplearning-team/onnx.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/onnx
-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
-Build-Depends: cmake,
+Build-Depends: dpkg-dev (>= 1.22.5), cmake,
                debhelper-compat (= 12),
                dh-exec,
                dh-python,
@@ -44,7 +45,10 @@
  .
  This package contains the python interface.
 
-Package: libonnx1
+Package: libonnx1t64
+Provides: ${t64:Provides}
+Replaces: libonnx1
+Breaks: libonnx1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -63,30 +67,10 @@
  .
  This package contains the shared objects.
 
-Package: libonnxifi
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Open Neural Network Exchange (ONNX) (ONNXIFI)
- Open Neural Network Exchange (ONNX) is the first step toward an open ecosystem
- that empowers AI developers to choose the right tools as their project evolves.
- ONNX provides an open source format for AI models.  It defines an extensible
- computation graph model, as well as definitions of built-in operators and
- standard data types. Initially onnx focuses on the capabilities needed for
- inferencing (evaluation).
- .
- Caffe2, PyTorch, Microsoft Cognitive Toolkit, Apache MXNet and other tools are
- developing ONNX support. Enabling interoperability between different frameworks
- and streamlining the path from research to production will increase the speed
- of innovation in the AI community.
- .
- This package contains the libonnxifi.so shared object.
-
 Package: libonnx-dev
 Architecture: any
 Multi-Arch: same
-Depends: libonnx1 (= ${binary:Version}),
-         libonnxifi (= ${binary:Version}),
+Depends: libonnx1t64 (= ${binary:Version}),
          ${misc:Depends}
 Description: Open Neural Network Exchange (ONNX) (dev)
  Open Neural Network Exchange (ONNX) is the first step toward an open ecosystem

=== debian/tests/control ===
Test-Command: test $(arch) = 'x86_64' && (pytest-3 -v -k 'not OnnxBackendRealModelTest and not examples') || (pytest-3 -v -k 'not OnnxBackendRealModelTest and not examples' || true)
Depends: @, python3-pytest, python3-parameterized,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,dversionmangle=auto,repacksuffix=+dfsg" \
   https://github.com/onnx/onnx/tags .*/v?@ANY_VERSION@\.tar\.gz

## onnx 1.16.2

=== debian/changelog ===
onnx (1.16.2-1) unstable; urgency=medium

  * New upstream version 1.16.2
  * Update lintian overrides.
  * Bring back the CMake RPATH patch.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Fri, 27 Sep 2024 01:56:12 -0400

onnx (1.16.1-1) experimental; urgency=medium

  * New upstream version 1.16.1
  * Rebase existing patches.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Sun, 14 Jul 2024 02:54:23 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/deeplearning-team/onnx.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/onnx
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
+Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), cmake,
                debhelper-compat (= 12),
